Arbor 3: FSM & BT Graph Editor 3.5.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleBool Class Reference

参照方法が複数ある柔軟なbool型を扱うクラス。 More...

Inheritance diagram for FlexibleBool:

## Public Member Functions
override object | GetValueObject ()
| 値をobjectで返す。 More...
| FlexibleBool ()
| FlexibleBoolのデフォルトコンストラクタ。 More...
| FlexibleBool (bool value)
| FlexibleBoolのコンストラクタ。 More...
| FlexibleBool (BoolParameterReference parameter)
| FlexibleBoolのコンストラクタ。 More...
| FlexibleBool (float probability)
| FlexibleBoolのコンストラクタ。 More...
| FlexibleBool (InputSlotBool slot)
| FlexibleBoolのコンストラクタ。 More...

## Static Public Member Functions
static | operator bool (FlexibleBool flexible)
| FlexibleBoolをboolにキャスト。 More...
static | operator FlexibleBool (bool value)
| boolをFlexibleBoolにキャスト。 More...

## Properties
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
bool | value`[get]`
| 値を返す More...
Properties inherited from FlexiblePrimitiveBase
FlexiblePrimitiveType | type`[get]`
| Typeを返す More...

## Additional Inherited Members
Protected Attributes inherited from FlexiblePrimitiveBase
FlexiblePrimitiveType | _Type = FlexiblePrimitiveType.Constant
| プリミティブ型の参照タイプ More...

## Detailed Description

参照方法が複数ある柔軟なbool型を扱うクラス。

## Constructor & Destructor Documentation

FlexibleBool | ( |  | ) |

FlexibleBoolのデフォルトコンストラクタ。

FlexibleBool | ( | bool | value | ) |

FlexibleBoolのコンストラクタ。

Parameters

  value | 値

FlexibleBool | ( | BoolParameterReference | parameter | ) |

FlexibleBoolのコンストラクタ。

Parameters

  parameter | パラメータ

FlexibleBool | ( | float | probability | ) |

FlexibleBoolのコンストラクタ。

Parameters

  probability | ランダムの確率

FlexibleBool | ( | InputSlotBool | slot | ) |

FlexibleBoolのコンストラクタ。

Parameters

  slot | スロット

## Member Function Documentation

override object GetValueObject | ( |  | ) |
| virtual

値をobjectで返す。

Returns
  値のobject

Implements FlexiblePrimitiveBase.

static operator bool | ( | FlexibleBool | flexible | ) |
| explicit static

FlexibleBoolをboolにキャスト。

Parameters

  flexible | FlexibleBool

static operator FlexibleBool | ( | bool | value | ) |
| explicit static

boolをFlexibleBoolにキャスト。

Parameters

  value | bool

## Property Documentation

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

bool value
| get

値を返す